LoadPOFile("pt_BR.po", "br")
modimport "suffixed_adjectives.lua"

Assets =
{
Asset("ATLAS", "images/fepanels_DLC.xml"),
Asset("IMAGE", "images/fepanels_DLC.tex"),
--#Asset("ATLAS", "images/fepanels_Shipwrecked.xml"),
--#Asset("IMAGE", "images/fepanels_Shipwrecked.tex"),
Asset("ATLAS", "images/customisation.xml"),
Asset("IMAGE", "images/customisation.tex"),
--#Asset("ANIM", "anim/sw_title_shield.zip"), -Some subs crying loud like babies, maybe in the future...
}

--##############################################################################################################
--##############################################################################################################
function FontesBr()
	local NomesFontesBr={
		"talkingfontrev.zip",
		"stint-ucr50rev.zip",
		"stint-ucr20rev.zip",
		"opensans50rev.zip",
		"belisaplumilla50rev.zip",
		"belisaplumilla100rev.zip",
		"buttonfontrev.zip"}
	if GLOBAL.rawget(GLOBAL,"TALKINGFONT_WATHGRITHR") then
		table.insert(NomesFontesBr,"talkingfont_wathgrithrrev.zip")
	end

	GLOBAL.DEFAULTFONT = "opensans"
	GLOBAL.DIALOGFONT = "opensans"
	GLOBAL.TITLEFONT = "bp100"
	GLOBAL.UIFONT = "bp50"
	GLOBAL.BUTTONFONT="buttonfont"
	GLOBAL.NUMBERFONT = "stint-ucr"
	GLOBAL.TALKINGFONT = "talkingfont"
	if GLOBAL.rawget(GLOBAL,"TALKINGFONT_WATHGRITHR") then
		GLOBAL.TALKINGFONT_WATHGRITHR = "talkingfont_wathgrithr"
	end
	GLOBAL.SMALLNUMBERFONT = "stint-small"
	GLOBAL.BODYTEXTFONT = "stint-ucr"

	for i,FileName in ipairs(NomesFontesBr) do
		GLOBAL.TheSim:UnloadFont("fontebr"..tostring(i))
	end

	GLOBAL.TheSim:UnloadPrefabs({"fontesbr"})


	local AssetsFontesBr={}
	for i,FileName in ipairs(NomesFontesBr) do
		table.insert(AssetsFontesBr,GLOBAL.Asset("FONT",MODROOT.."fonts/"..FileName))
	end

	local PrefabFontesBr=GLOBAL.Prefab("common/fontesbr", nil, AssetsFontesBr)
	GLOBAL.RegisterPrefabs(PrefabFontesBr)
	GLOBAL.TheSim:LoadPrefabs({"fontesbr"})

	for i,FileName in ipairs(NomesFontesBr) do
		GLOBAL.TheSim:LoadFont(MODROOT.."fonts/"..FileName, "fontebr"..tostring(i))
	end

	GLOBAL.DEFAULTFONT = "fontebr4"
	GLOBAL.DIALOGFONT = "fontebr4"
	GLOBAL.TITLEFONT = "fontebr6"
	GLOBAL.UIFONT = "fontebr5"
	GLOBAL.BUTTONFONT= "fontebr7"
	GLOBAL.NUMBERFONT = "fontebr2"
	GLOBAL.TALKINGFONT = "fontebr1"
	GLOBAL.SMALLNUMBERFONT = "fontebr3"
	GLOBAL.BODYTEXTFONT = "fontebr2"
	if GLOBAL.rawget(GLOBAL,"TALKINGFONT_WATHGRITHR") then
		GLOBAL.TALKINGFONT_WATHGRITHR = "fontebr8"
	end

end

GLOBAL.getmetatable(GLOBAL.TheSim).__index.UnregisterAllPrefabs = (function()
	local oldUnregisterAllPrefabs = GLOBAL.getmetatable(GLOBAL.TheSim).__index.UnregisterAllPrefabs
	return function(self, ...)
		oldUnregisterAllPrefabs(self, ...)
		FontesBr()
	end
end)()

FontesBr()

AddClassPostConstruct("screens/consolescreen", function(self)
	local NewConsoleValidChars=[[ abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789.,:;[]<>\@!#$%&()'*+-/=?^_{|}~"]]
	self.console_edit:SetCharacterFilter( NewConsoleValidChars )
end)

local OldRegisterPrefabs=GLOBAL.ModManager.RegisterPrefabs
local function NewRegisterPrefabs(self)
	OldRegisterPrefabs(self)
	FontesBr()
	GLOBAL.TheFrontEnd.consoletext:SetFont(GLOBAL.BODYTEXTFONT)
	GLOBAL.TheFrontEnd.consoletext:SetRegionSize(900, 404)
end
GLOBAL.ModManager.RegisterPrefabs=NewRegisterPrefabs

AddClassPostConstruct("screens/worldgenscreen", function(self)
	FontesBr()
	self.worldgentext:SetFont(GLOBAL.TITLEFONT)
	self.flavourtext:SetFont(GLOBAL.UIFONT)
end)
--##########################
--##########################
--########################################################################################################################
--########################################################################################################################
local _G = _G or GLOBAL

local GetGlobal=function(gname,default)
	local res=_G.rawget(_G,gname)
	if default and not res then
		_G.rawset(_G,gname,default)
		return false
	else
		return res
	end
end


local post_init_fns={}
local function AddPostInit(fn,char_name)
	--table.insert(post_init_fns,fn)
	table.insert(post_init_fns,(char_name and {fn,char_name} or {fn}))
end

GetGlobal("IsDLCEnabled",function(x) return false end)

local s,require,act = _G.STRINGS,_G.require,_G.ACTIONS
local nm,rec,ch = s.NAMES,s.RECIPE_DESC,s.CHARACTERS
local gen = ch.GENERIC
local gendesc = gen.DESCRIBE
local DLC = GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS)
local player;

local willow,wolfgang,wendy,wx78 = ch.WILLOW.DESCRIBE,ch.WOLFGANG.DESCRIBE,ch.WENDY.DESCRIBE,ch.WX78.DESCRIBE
local woodie,maxwell,wicker = ch.WOODIE.DESCRIBE,ch.WAXWELL.DESCRIBE,ch.WICKERBOTTOM.DESCRIBE
local wath = DLC and ch.WATHGRITHR.DESCRIBE or {}
local webber = ch.WEBBER and ch.WEBBER.DESCRIBE or {}


local function StructCopy(src,dest)
	for k,v in pairs(src) do
		if(type(v)=="table") then
			if(not dest[k] or type(dest[k])~="table")then
				dest[k]={}
			end
			StructCopy(v,dest[k])
		elseif dest[k] and v then
			dest[k]=v
		end
	end
end
--GetGlobal("struct",StructCopy) --safe public global

--##############################################################################
function GetAllModNames()
	local all={}
	for _, mod in ipairs( _G.ModManager.mods ) do
		if (mod.modinfo.name) then all[mod.modinfo.name]=true end
	end
	return all
end
local mod_names=GetAllModNames()

function IsModEnabled(name)
	return (mod_names[name] or false)
end


function ch_nm(key,val)
	nm[string.upper(key)]=val
end


local glob_nm={}
-- STRING.NAMES[key] = val, etc
local mk_nm = function(key,val,f_rec,f_gen)
	nm[string.upper(key)]=val
	AddPrefabPostInit(string.lower(key),function(inst)
		if(inst and inst.name)then
			inst.name=val
		end
		nm[string.upper(key)]=val
		--if (f_rec and f_rec~=0) then rec[string.upper(key)]=f_rec end
		--if (f_gen and f_gen~=0) then gendesc[string.upper(key)]=f_gen end
	end)
	glob_nm[string.upper(key)]=val
end
local mk=mk_nm;

local glob_rec={}
local mk_rec = function(key,val)
	rec[key]=val
	glob_rec[key]=val
end

local glob_gen={}
local mk_gen = function(key,val)
	gendesc[key]=val
	glob_gen[key]=val
end

--                                  ###########################
--                                  ### Display Food Values ###
--                                  ###########################
if IsModEnabled("Display Food Values") then

GLOBAL.STRINGS.DFV_LANG = "BR"
GLOBAL.STRINGS.DFV_HUNGER = "Fome"
GLOBAL.STRINGS.DFV_HEALTH = "Sade"
GLOBAL.STRINGS.DFV_SANITY = "Sanidade"
GLOBAL.STRINGS.DFV_SPOILSOON = "Estragar logo"
GLOBAL.STRINGS.DFV_SPOILIN = "Estraga em"
GLOBAL.STRINGS.DFV_SPOILDAY = "dia"

end

--                                  ###########################
--                                  ###      Waiter 101     ###
--                                  ###########################
if IsModEnabled("Waiter 101 v3.1") then

-- NAMES
GLOBAL.STRINGS.NAMES.ACK_MUFFIN = "Bolinho Conveniente"
	-- Breads
GLOBAL.STRINGS.NAMES.NANA_BREAD = "Po de Banana"
GLOBAL.STRINGS.NAMES.FRUIT_MUFFIN = "Bolinho de Frutas"
GLOBAL.STRINGS.NAMES.HARDTACK = "Biscoitinhos"
	-- Cakes & Pies
GLOBAL.STRINGS.NAMES.CACTUS_CAKE = "Bolo de Cactos" -- requires cactus
GLOBAL.STRINGS.NAMES.MERINGUE = "Torta de Merengue"
GLOBAL.STRINGS.NAMES.STICKY_BUN = "Bolo Grudento" -- Honeyed
GLOBAL.STRINGS.NAMES.TARTE_TATIN = "Tomango Picante"
	-- Candies & Sugars
GLOBAL.STRINGS.NAMES.CANDIED_BACON = "Bacon Caramelado" -- Honeyed
GLOBAL.STRINGS.NAMES.CANDIED_FRUIT = "Fruta Cristalizada" -- Honeyed
GLOBAL.STRINGS.NAMES.CANDIED_NUT = "Nz Aucarada" -- Honeyed
GLOBAL.STRINGS.NAMES.MUSH_MELON = "Marshmallow" -- Honeyed needs confirmation
GLOBAL.STRINGS.NAMES.MUSH_MELON_COOKED = "Marshmallow Assado" -- Honeyed
	-- Eggs
GLOBAL.STRINGS.NAMES.OMELETTE = "Omelete"
GLOBAL.STRINGS.NAMES.MUSHY_EGGS = "Ovos Mexidos"
GLOBAL.STRINGS.NAMES.NOPALITO = "Nopalitos con Huevos" -- requires cactus
GLOBAL.STRINGS.NAMES.SALAD_EGG = "Salada de Ovos"
	-- Fruits
GLOBAL.STRINGS.NAMES.FRUIT_LEATHER = "Tirinhas de Frutas"
GLOBAL.STRINGS.NAMES.FRUIT_TRUFFLE = "Frutas Trufadas" -- COLD, requires dairy (not butter/oleo)
GLOBAL.STRINGS.NAMES.LIMONADE = "Limonada" -- COLD
GLOBAL.STRINGS.NAMES.LIMONGELO = "Gelatina"
	-- Meats (Beef)
GLOBAL.STRINGS.NAMES.BRACIOLE = "Bife a Rol"
GLOBAL.STRINGS.NAMES.COLDCUTS = "Frios" -- COLD
GLOBAL.STRINGS.NAMES.SAUSAGE_GRAVY = "Salsichas ao Molho"
GLOBAL.STRINGS.NAMES.SWEET_N_SOUR = "Pernil Caramelado Picante"
	-- Meats (Fish)
GLOBAL.STRINGS.NAMES.STUFFED_TOMANGO = "Tomango Recheado"
GLOBAL.STRINGS.NAMES.SURF_N_TURF = "Frutos do Mar"
GLOBAL.STRINGS.NAMES.FISH_N_CHIPS = "Petisco de Peixe"
	-- Meats (Poultry)
GLOBAL.STRINGS.NAMES.BEEFALO_WINGS = "Asinha a Vapor" -- HOT
GLOBAL.STRINGS.NAMES.PICATTA = "Ave ao Sugo"
GLOBAL.STRINGS.NAMES.ROLLATINI = "Rollatini"
	-- Mushrooms
GLOBAL.STRINGS.NAMES.CITRUS_MUSHROOM = "Cogumelos Ctricos"
GLOBAL.STRINGS.NAMES.MUSHROOM_BURGER = "Coguburguer"
GLOBAL.STRINGS.NAMES.MUSHROOM_MALODY = "Mistomelo"
GLOBAL.STRINGS.NAMES.MUSHROOM_MEDLEY = "Mix de Cogumelos"
GLOBAL.STRINGS.NAMES.MUSHROOM_STEW = "Sopa de Cogumelos"
	-- Salads
GLOBAL.STRINGS.NAMES.SALAD_GRAPE = "Salada de Framboselha"
GLOBAL.STRINGS.NAMES.SALAD_CARROT = "Salada Ctrica de Cenoura"
GLOBAL.STRINGS.NAMES.SALAD_WALDORF = "Salada Waldorf" -- requires nut
GLOBAL.STRINGS.NAMES.SALAD_YAMION = "Salada de Cebonete Grelhado"
	-- Soups
GLOBAL.STRINGS.NAMES.CACTUS_SOUP = "Sopa de Cactos" -- requires cactus
GLOBAL.STRINGS.NAMES.CHOWDER = "Sopa Tropical"
GLOBAL.STRINGS.NAMES.GUMBO = "Quiabos Picantes" -- HOT
GLOBAL.STRINGS.NAMES.SQUASH = "Pur de Abbora" -- requires nut
	-- Miscelaneous
GLOBAL.STRINGS.NAMES.ALOO_TIKI = "Croquetes de Tomango"
GLOBAL.STRINGS.NAMES.CHEESE_LOG = "Basto de Queijo." -- requires dairy (not butter/oleo)
GLOBAL.STRINGS.NAMES.GRUEL = "Tigela de Cereais"
GLOBAL.STRINGS.NAMES.NUT_BUTTER = "Creme de Nozes" -- requires nut
GLOBAL.STRINGS.NAMES.PORRIDGE = "Mingau"
GLOBAL.STRINGS.NAMES.YAMION_RINGS = "Anis de Cebonete"
GLOBAL.STRINGS.NAMES.TWICE_BAKED = "Combo com Razes"
	-- Cookables
GLOBAL.STRINGS.NAMES.CASSEROLE = "Pastelo de Sorob" -- Ingredient: Meat, Veggie, Precook
GLOBAL.STRINGS.NAMES.FRUIT_SYRUP = "Extrato de Frutas" -- Honeyed, Ingredient: Sweetener
GLOBAL.STRINGS.NAMES.MOLASSES = "Melado" -- Honeyed, Ingredient: Sweetener
GLOBAL.STRINGS.NAMES.OLEO = "Margarina" -- Ingredient: Dairy, Fat
	-- Crops & Seeds
GLOBAL.STRINGS.NAMES.GRAPRICOT = "Framboselha"
GLOBAL.STRINGS.NAMES.GRAPRICOT_COOKED = "Framboselha cozida"
GLOBAL.STRINGS.NAMES.GRAPRICOT_SEEDS = "Sementes de framboselha"
GLOBAL.STRINGS.NAMES.LIMON = "Limes"
GLOBAL.STRINGS.NAMES.LIMON_COOKED = "Limo tostado"
GLOBAL.STRINGS.NAMES.LIMON_SEEDS = "Sementes de Limo"
GLOBAL.STRINGS.NAMES.TOMANGO = "Tomango"
GLOBAL.STRINGS.NAMES.TOMANGO_COOKED = "Tomango frito"
GLOBAL.STRINGS.NAMES.TOMANGO_SEEDS = "Sementes de Tomango"
GLOBAL.STRINGS.NAMES.YAMION = "Cebonete"
GLOBAL.STRINGS.NAMES.YAMION_COOKED = "Cebonete assado"
GLOBAL.STRINGS.NAMES.YAMION_SEEDS = "Sementes de Cebonete"


-- DESCRIPTIONS.GENERIC
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ACK_MUFFIN = "Um delicioso bolinho."
	-- Breads
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.NANA_BREAD = "Mais saboroso que bolo de frutas."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FRUIT_MUFFIN = "Um bolinho ainda mais delicioso."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HARDTACK = "No muito apetitoso, mas bem preservado."
	-- Cakes & Pies
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CACTUS_CAKE = "Doce e espinhento."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MERINGUE = "Um confeito leve e aerado."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.STICKY_BUN = "Com palitos extras."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.TARTE_TATIN = "O sabor agridoce."
	-- Candies & Sugars
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CANDIED_BACON = "Gordurosamente doce."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CANDIED_FRUIT = "Pegajosamente doce."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CANDIED_NUT = "Cobertas de mel cristalizado."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSH_MELON = "Interessante, diferentes de como eu lembrava."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSH_MELON_COOKED = "Eu quero mais."
	-- Eggs
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.OMELETTE = "O resultado de alguns ovos quebrados."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHY_EGGS = "Perfeitamente comestveis."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.NOPALITO = "Uma combinao saborosa."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SALAD_EGG = "A chave de todo piquenique."
	-- Fruits
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FRUIT_LEATHER = "Tiras de frutas secas."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FRUIT_TRUFFLE = "A sobremesa vitamnica."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LIMONADE = "Uma bebida doce e refrescante."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LIMONGELO = "H sempre lugar para mais gelatina."
	-- Meats (Beef)
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRACIOLE = "Fatias de carne enroladas com recheio."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.COLDCUTS = "Resfriados com perfeio."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SAUSAGE_GRAVY = "Uma poro de salsichas bem encorpada."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SWEET_N_SOUR = "Faz eu me sentir humano outra vez."
	-- Meats (Fish)
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.STUFFED_TOMANGO = "Um toque martimo."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SURF_N_TURF = "Delicioso par de sabores."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FISH_N_CHIPS = "Um delicioso par de sabores."
	-- Meats (Poultry)
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ROLLATINI = "Finas fatias enroladas e assadas."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BEEFALO_WINGS = "Super quente e temperado."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.PICATTA = "Um toque ctrico."
	-- Mushrooms
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CITRUS_MUSHROOM = "Precisa de alho."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHROOM_BURGER = "Carne quente servida entre cogumelos."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHROOM_MALODY = "Tem cheiro de raiz."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHROOM_MEDLEY = "Atraente variedade de fungos coloridos."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHROOM_STEW = "Uma cremosa sopa de cogumelos."
	-- Pastas
	-- Salads
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SALAD_CARROT = "Melhor do que apenas cozinh-las."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SALAD_GRAPE = "No  o preparo correto, mas serve."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SALAD_WALDORF = "Meus cumprimentos ao chef."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SALAD_YAMION = "Isso tem um sabor forte."
	-- Soups
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CACTUS_SOUP = "Uma tigela de sabor."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CHOWDER = "Cremosa e encorpada."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GUMBO = "Extra picante."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SQUASH = "Perfeitamente processado."
	-- Miscelaneous
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ALOO_TIKI = "Um pouquinho crocante."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CHEESE_LOG = "Mais comestvel que os de madeira."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GRUEL = "Sabores agradveis da mistura imperfeita."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.NUT_BUTTER = "O auge das artes culinrias."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.PORRIDGE = "A perfeita mistura de nutrientes."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.YAMION_RINGS = "Uma refeio bem familiar."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.TWICE_BAKED = "Lotado de carne e pingando manteiga."
	-- Cookables
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CASSEROLE = "Restos, outra vez?."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FRUIT_SYRUP = "Alta frutose."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MOLASSES = "Aquela criatura teve um doce destino."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.OLEO = "Nada mal, mas prefiro manteiga."
	-- Crops & Seeds
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GRAPRICOT = "A fruta do vinho."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GRAPRICOT_COOKED = "Doce e deliciosa."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GRAPRICOT_SEEDS = "So sementes de framboselha."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LIMON = "A fruta azeda."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LIMON_COOKED = "Um pouco menos atraentes agora."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LIMON_SEEDS = "So sementes de limo."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.TOMANGO = "Alguns argumentam se  fruta ou verdura."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.TOMANGO_COOKED = "H quem prefira cozinhar enquanto ainda esto verdes."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.TOMANGO_SEEDS = "So sementes de tomango."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.YAMION = "Uma raiz comestvel."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.YAMION_COOKED = "Se desmancha em camadas."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.YAMION_SEEDS = "So sementes de Cebonete."


-- RoG Enabled Characters

if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then

-- DESCRIPTIONS.WEBBER
	-- Breads
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.NANA_BREAD = "Um bocado de po."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FRUIT_MUFFIN = "Bolinho com gosto de frutas."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.HARDTACK = "Parecidos com os que a mame fazia."
	-- Cakes & Pies
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.CACTUS_CAKE = "Tomara que no encontremos nenhuma surpresa a."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MERINGUE = "Ovos batidos em cima da torta."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.STICKY_BUN = "Ser que devemos sair da dieta?"
	-- Candies & Sugars
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.CANDIED_FRUIT = "Achamos muito doce."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.CANDIED_NUT = "Delicia."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FRUIT_SYRUP = "Fludos vitais de frutas."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MOLASSES = "Vov dizia: 'Amargo j basta o da vida.'"
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MUSH_MELON = "Vov assava isso quando amos acampar."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MUSH_MELON_COOKED = "Bem douradinhas."
	-- Eggs
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MUSHY_EGGS = "Uma baguna, como o papai fazia."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.NOPALITO = "Coisas pontudas com ovo."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.OMELETTE = "Ovos misturados com coisas deliciosas."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SALAD_EGG = "Mame fazia isso toda semana."
	-- Fruits
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FRUIT_LEATHER = "Tirinhas de fruta comestveis."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FRUIT_TRUFFLE = "Frutas e creme."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.LIMONADE = "Eu e o vov bebamos muito isso no vero."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.LIMONGELO = "Ficariamos vendo ela tremer o dia todo."
	-- Meats
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.BEEFALO_WINGS = "Asinhas quentinhas."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.CASSEROLE = "To bom que precisamos fazer mais vezes."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.COLDCUTS = "Mame sempre me mandava comprar esses."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SAUSAGE_GRAVY = "Coisa gordurosa deliciosa."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SURF_N_TURF = "Ser que combinam?"
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.FISH_N_CHIPS = "Como nos pubs onde eu morava."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SWEET_N_SOUR = "Saboroso e gorduroso!."
	-- Mushrooms
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.CITRUS_MUSHROOM = "Meio amargo, com gosto de terra."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MUSHROOM_BURGER = "Muito mais saudvel com carne."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MUSHROOM_MALODY = "Um desagradvel mix de cogumelos."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MUSHROOM_MEDLEY = "Um agradvel mix de cogumelos."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.MUSHROOM_STEW = "O gosto  bem melhor que o cheiro."
	-- Pastas
	-- Salads
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SALAD_CARROT = "Faz bem para os olhos."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SALAD_GRAPE = "Salada com pedacinhos de fruta."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SALAD_WALDORF = "Salada com pedacinhos de carne."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SALAD_YAMION = "Uma salada com o cheiro bem forte."
	-- Soups
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.CACTUS_SOUP = "Mame me dava sopa quando eu estava doente."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.CHOWDER = "Peixe escaldado em um grosso creme."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.GUMBO = "Sopa picante."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.SQUASH = "Abbora esmagada."
	-- Miscelaneous
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.CHEESE_LOG = "Um basto comestvel."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.GRUEL = "Quaso como o que o papai fazia."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.NUT_BUTTER = "Um creme nutritivo."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.OLEO = "No  manteiga."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.PORRIDGE = "Como o que mame fazia."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.YAMION_RINGS = "Vovo comia isso no pub."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.TWICE_BAKED = "O cheiro nos d gua na boca."
	-- Crops & Seeds
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.GRAPRICOT = "Um monte de caroos."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.GRAPRICOT_COOKED = "Suculentas, mas parecem carrapatos."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.GRAPRICOT_SEEDS = "Se plantarmos talvez nasa algo."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.LIMON = "No tem um gosto bom."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.LIMON_COOKED = "Talvez se a gente colocar acar."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.LIMON_SEEDS = "Se plantarmos talvez nasa algo."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.TOMANGO = "Mame colhia isso na horta do vov."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.TOMANGO_COOKED = "Eu nunca comia esses quando mame fazia."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.TOMANGO_SEEDS = "Se plantarmos talvez nasa algo."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.YAMION = "Vov os chamava de mas da terra."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.YAMION_COOKED = "O cheiro enche nossos olhos d'gua."
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.YAMION_SEEDS = "Se plantarmos talvez nasa algo."
  end
end

--                                  ###############################
--                                  ### Beefalo Milk and Cheese ###
--                                  ###############################
if IsModEnabled("Beefalo Milk") then

local STRINGS = GLOBAL.STRINGS

	STRINGS.CHARACTERS.GENERIC.ANNOUNCE_KICK = "Aau! Tomei um coice!"

	STRINGS.NAMES.RAWMILK = "Leite Cru"
	STRINGS.NAMES.COOKEDMILK = "Leite Fresco"
	STRINGS.NAMES.CHEESE = "Queijo"
	STRINGS.NAMES.BERRYSHAKE = "Milkshake de Frutinhas"

	STRINGS.CHARACTERS.GENERIC.DESCRIBE.RAWMILK = "No deveria beber antes de ferver."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.COOKEDMILK = "Obrigado bfalo."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.CHEESE = "Valeu a pena esperar."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.BERRYSHAKE = "Ah, que refrescante."

	STRINGS.CHARACTERS.WENDY.DESCRIBE.BERRYSHAKE = "Doce e gelado, como eu."
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.BERRYSHAKE = "Cai bem em um dia quente."
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.BERRYSHAKE = "No gosto disso. Muito gelado!!"
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.BERRYSHAKE = "Pode dar dor de cabea no Wofgang."
	STRINGS.CHARACTERS.WX78.DESCRIBE.BERRYSHAKE = "LIQUIDO A BASE DE PROTEINAS DETECTADO"
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.BERRYSHAKE = "At a ultima gota."
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.BERRYSHAKE = "Lucy sempre amou isso. No sei porque."
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.BERRYSHAKE = "No posso! No seria eu mesma se bebesse isso!"
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.BERRYSHAKE = "Mas eu nem terminei de comer meus legumes ainda!"

	STRINGS.CHARACTERS.WENDY.DESCRIBE.RAWMILK = "No sobrou nada para os filhotes."
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.RAWMILK = "Pode conter bactrias. "
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.RAWMILK = "til apenas quando fervendo."
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.RAWMILK = "Tem um pelo boiando a."
	STRINGS.CHARACTERS.WX78.DESCRIBE.RAWMILK = "EXTRADO DA NATUREZA."
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.RAWMILK = "Bem nojento."
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.RAWMILK = "Aquele bfalo nao gostou muito..."
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.RAWMILK = "Nem mesmo din pode me fazer tomar isso!"
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.RAWMILK = "Vamos ferver, e ento poderemos beber."


	STRINGS.CHARACTERS.WENDY.DESCRIBE.COOKEDMILK = "J foi uma parte do ciclo da vida."
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.COOKEDMILK = "Um pouco mais comestvel do que antes."
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.COOKEDMILK = "Fresco e quente!!"
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.COOKEDMILK = "Fortalece os ossos."
	STRINGS.CHARACTERS.WX78.DESCRIBE.COOKEDMILK = "COMBUSTVEL NATURAL"
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.COOKEDMILK = "Bfalo dado nao se olha os dentes."
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.COOKEDMILK = "Eu costumava beber um copo disso todas as manhs."
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.COOKEDMILK = "Prefiro esperar..."
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.COOKEDMILK = "J est pronto?"

	STRINGS.CHARACTERS.WENDY.DESCRIBE.CHEESE = "O tempo o deixou melhor."
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.CHEESE = "Saboroso, mas no gosto do cheiro."
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.CHEESE = "Fogo + tempo = proveito."
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.CHEESE = "Eu queria ter mais."
	STRINGS.CHARACTERS.WX78.DESCRIBE.CHEESE = "FICOU CARREGANDO POR VARIOS DIAS"
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.CHEESE = "Tem a cor do ouro."
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.CHEESE = "Isso  o que eu chamo de refeio."
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.CHEESE = "No  carne, mas da pro gasto. "
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.CHEESE = "Mame nunca me disse que era leite azedo."

end
--#####################################################################################################################
--#####################################################################################################################

local after_start=0
local player_name
function DoAfterALL()
	after_start=after_start+1
	if(after_start~=2) then
		return false
	end
	after_start=3
	for k,v in pairs(glob_nm) do
		nm[k]=v
	end
	for k,v in pairs(glob_rec) do
		rec[k]=v
	end
	for k,v in pairs(glob_gen) do
		gendesc[k]=v
	end
	for i=1,#post_init_fns do
		if (not post_init_fns[i][2]) or post_init_fns[i][2]==player_name then
			post_init_fns[i][1]();
		end
	end
end
